<div id="wrapper">

    <div id="signup-wrapper">
        <div id="signup-header">
            <h1 id="signup-title">Create your account</h1>
        </div>
        
        <app-message *ngIf="signupFail" [message]="errorMessage"></app-message>
        
        <form [formGroup]="signupForm" (ngSubmit)="register()">
            <div class="form-group">
                <label for="username" class="form-label">Username</label>
                <input name="username" formControlName="username" type="text" class="form-input">
            </div>
            <div class="form-group">
                <label for="password" class="form-label">Password</label>
                <input name="password" formControlName="password" type="password" class="form-input">
            </div>
            
            <div id="signup-buttons">
                <button id="button-signup" class="btn" type="submit" [disabled]="!signupForm.valid">
                    Sign Up
                </button>
                <button id="button-back" class="btn" routerLink="/login">Back</button>
            </div>
        </form>
        
    </div>

</div>